Can't compile hplip on raspberry pi, started at 3.18.7

Bug #1806981 reported by Joe Van Dyk on 2018-12-05
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
HPLIP
Undecided
Unassigned

Bug Description

I get this error when compiling 3.18.12 on a raspberry pi:

libtool: link: g++ -DAPDK_LITTLE_ENDIAN -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -g -O2 -DCONFDIR=\"/etc/hp\" -o hpcups hpcups-HPCupsFilter.o hpcups-dbuscomm.o hpcups-Compressor.o hpcups-Mode2.o hpcups-Mode3.o hpcups-Mode9.o hpcups-Mode10.o hpcups-ModeDeltaPlus.o hpcups-ModeJbig.o hpcups-ErnieFilter.o hpcups-EncapsulatorFactory.o hpcups-Encapsulator.o hpcups-Pcl3.o hpcups-Pcl3Gui.o hpcups-Pcl3Gui2.o hpcups-LJMono.o hpcups-LJColor.o hpcups-LJFastRaster.o hpcups-LJJetReady.o hpcups-LJZjStream.o hpcups-LJZxStream.o hpcups-Job.o hpcups-Pipeline.o hpcups-Processor.o hpcups-RasterSender.o hpcups-ColorMatcher.o hpcups-Halftoner.o hpcups-Scaler.o hpcups-dj400ColorMaps.o hpcups-dj600ColorMaps.o hpcups-dj970ColorMaps.o hpcups-dj8xxColorMaps.o hpcups-dj4100ColorMaps.o hpcups-BreakTables.o hpcups-Utils.o hpcups-SystemServices.o hpcups-QuickConnect.o hpcups-ModeJpeg.o jccolor.o jdatadbf.o hpcups-Lidil.o hpcups-LidilCompress.o hpcups-dj3320ColorMaps.o hpcups-dj3600ColorMaps.o hpcups-Hbpl1.o utils.o hpcups-Hbpl1_Wrapper.o hpcups-genPCLm.o hpcups-genJPEGStrips.o hpcups-RunLenEncoding.o -L./prnt/hpcups/ -ljpeg -ldl -lImageProcessor -lcups -lcupsimage -lz -ldbus-1
/bin/bash ./libtool --tag=CXX --mode=link g++ -g -O2 -DCONFDIR=\"/etc/hp\" -o locatedriver locatedriver-FindPPD.o
/usr/lib/gcc/armv6-alpine-linux-musleabihf/6.4.0/../../../../armv6-alpine-linux-musleabihf/bin/ld: skipping incompatible ./prnt/hpcups//libImageProcessor.so when searching for -lImageProcessor
/usr/lib/gcc/armv6-alpine-linux-musleabihf/6.4.0/../../../../armv6-alpine-linux-musleabihf/bin/ld: cannot find -lImageProcessor
collect2: error: ld returned 1 exit status
make: *** [Makefile:5314: hpcups] Error 1
make: *** Waiting for unfinished jobs....
libtool: link: g++ -g -O2 -DCONFDIR=\"/etc/hp\" -o locatedriver locatedriver-FindPPD.o
The command '/bin/sh -c ./configure --disable-network-build --disable-scan-build --disable-gui-build --disable-fax-build --disable-doc-build --disable-pp-build --disable-foomatic-drv-install --disable-foomatic-rip-hplip-install && make -j2 && make install' returned a non-zero code: 2

However, 3.18.6 works.

I noticed that 3.18.12's source comes with these .so files:
$ find ./print/hpcups -name '*.so'
./prnt/hpcups/libImageProcessor-x86_32.so
./prnt/hpcups/libImageProcessor-x86_64.so

And 3.18.6 doesn't come with those files.

I did a bit of research and 3.18.7 was the release that included "CDS support" and that the .so files were required for that support.

Related: https://bugs.launchpad.net/hplip/+bug/1784989

summary: - Can't compile hplip on raspberry pi
+ Can't compile hplip on raspberry pi, from 3.18.7 on
summary: - Can't compile hplip on raspberry pi, from 3.18.7 on
+ Can't compile hplip on raspberry pi, started at 3.18.7
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers